//Copyright (C) 2007 SiegeLord
//See ReadMe.txt and License.txt for copying information

#pragma once

#include "objectex.h"

struct SFlasher : SObject
{
	SFlasher()
	{
		type = flasher_type;
	}

	float phase;
	float period;
	zColor color;
	SBitmap* image;
	float timer;

	virtual int Handle();
	virtual void Draw();
};

SFlasher* CreateFlasher(SObject* parent, float _phase, float _period, zColor _color);
